ON_DocumentUserStringList Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_userdata.h>`

Inheritance diagram for ON_DocumentUserStringList:

## Public Member Functions

| ON_DocumentUserStringList ()
| ~ON_DocumentUserStringList ()
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
ON_BOOL32 | Write (ON_BinaryArchive &binary_archive) const
ON_BOOL32 | Read (ON_BinaryArchive &binary_archive)
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual unsigned int | SizeOf () const
virtual ON::object_type | ObjectType () const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Detailed Description

Definition at line 384 of file opennurbs_userdata.h.

## Constructor & Destructor Documentation

## ON_DocumentUserStringList()

ON_DocumentUserStringList::ON_DocumentUserStringList | ( |  | ) |

## ~ON_DocumentUserStringList()

ON_DocumentUserStringList::~ON_DocumentUserStringList | ( |  | ) |

## Member Function Documentation

## DataCRC()

ON__UINT32 ON_DocumentUserStringList::DataCRC | ( | ON__UINT32 | current_remainder | ) | const

virtual

Reimplemented from ON_Object.

## Dump()

void ON_DocumentUserStringList::Dump | ( | ON_TextLog & |  | ) | const

virtual

Reimplemented from ON_Object.

## IsValid()

ON_BOOL32 ON_DocumentUserStringList::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

## Read()

ON_BOOL32 ON_DocumentUserStringList::Read | ( | ON_BinaryArchive & | binary_archive | ) |

virtual

Reimplemented from ON_Object.

## Write()

ON_BOOL32 ON_DocumentUserStringList::Write | ( | ON_BinaryArchive & | binary_archive | ) | const

virtual

Reimplemented from ON_Object.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_userdata.h